import { helpers } from '../helpers';
import { tokens } from '../tokens';
import * as system from '../utils/selectors';
export declare type Tokens = typeof tokens;
export declare type System = typeof system;
export interface Theme extends Tokens {
    theme: 'dark' | 'light';
}
export interface ThemeProps {
    theme?: Theme;
}
export declare type TokensKeys = keyof Tokens;
export declare type ColorsType = keyof Tokens['colors'];
export declare type SpacesType = keyof Tokens['spaces'];
export declare type FontSizesType = keyof Tokens['fontSizes'];
export declare type FontWeightsType = keyof Tokens['fontWeights'];
export declare type FontFamiliesType = keyof Tokens['fontFamilies'];
export declare type LineHeightsType = keyof Tokens['lineHeights'];
export declare type LetterSpacingsType = keyof Tokens['letterSpacings'];
export declare type SizesType = keyof Tokens['sizes'];
export declare type TransitionsType = keyof Tokens['transitions'];
export declare type ZIndexesType = keyof Tokens['zIndexes'];
export declare type BreakpointsType = keyof Tokens['breakpoints'];
export declare type RadiusType = keyof Tokens['radius'];
export declare type HelpersType = typeof helpers;
